List page guard-rail findings
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/pages/guard-rails \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/pages/guard-rails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/pages/guard-rails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{}
],
"pagination": {
"hasMore": true,
"offset": 1,
"pageSize": 50,
"totalCount": 1
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
List page guard-rail findings
Returns the same bounded page guard-rail rollup used by the Audit surface. Arbitrary date ranges are not accepted.
GET
/
projects
/
{projectId}
/
pages
/
guard-rails
List page guard-rail findings
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Query Parameters
Required range:
x >= 0Results per page. Capped at 100.
Required range:
1 <= x <= 100⌘I